https://azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitionsGet all role definitions that are applicable at scope and above.
The scope of the role definition.
The filter to apply on the operation. Use atScopeAndBelow filter to search below the given scope as well.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitionsGet all role definitions that are applicable at scope and above.
The scope of the role definition.
The filter to apply on the operation. Use atScopeAndBelow filter to search below the given scope as well.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/{scope}/providers/Microsoft.Authorization/roleDefinitions' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}